# common_generic_document library

## Classes

Field
  Document field
FieldType
  Field type
FieldWrapper
GenericDocument
  A generic document. Contains fields and sub-documents.
GenericDocumentNormalizedType
  Field type
GenericDocumentResults
GenericDocumentWrappedResults
GenericDocumentWrapper
OcrResult
  Result of OCR text recognition.
TextFieldWrapper
  Text field wrapper
ValidatedTextFieldWrapper
  Text field wrapper

## Extensions

GenericDocumentExtension
  Extension function to GenericDocument to make it easier to access fields.

## Enums

CommonFieldType
  Common field types
ValidationStatus
  Barcode document format